Bug 1959316 - [FTBFS] prusa-slicer: FTBFS in rawhide
Summary: [FTBFS] prusa-slicer: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: prusa-slicer
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1937698
TreeView+ depends on / blocked
 
Reported: 2021-05-11 09:21 UTC by Jonathan Wakely
Modified: 2021-12-25 01:04 UTC (History)
3 users (show)

Fixed In Version: prusa-slicer-2.3.3-2.fc36 prusa-slicer-2.3.3-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-28 18:39:10 UTC
Type: Bug


Attachments (Terms of Use)
build.log (317.60 KB, text/plain)
2021-05-11 09:21 UTC, Jonathan Wakely
no flags Details

Description Jonathan Wakely 2021-05-11 09:21:47 UTC
Created attachment 1781964 [details]
build.log

http://koji.fedoraproject.org/koji/buildinfo?buildID=1745778

This is due to the glibc change to MINSIGSTKSZ such that it's no longer a compile-time constant.



In file included from /usr/include/signal.h:315,
                 from /builddir/build/BUILD/PrusaSlicer-version_2.2.0/tests/catch2/catch.hpp:7712,
                 from /builddir/build/BUILD/PrusaSlicer-version_2.2.0/tests/catch_main.hpp:7,
                 from /builddir/build/BUILD/PrusaSlicer-version_2.2.0/tests/libnest2d/libnest2d_tests_main.cpp:1:
/builddir/build/BUILD/PrusaSlicer-version_2.2.0/tests/catch2/catch.hpp:10453:58: error: call to non-'constexpr' function 'long int sysconf(int)'
10453 |     static constexpr std::size_t sigStackSize = 32768 >= MINSIGSTKSZ ? 32768 : MINSIGSTKSZ;
      |                                                          ^~~~~~~~~~~
In file included from /usr/include/bits/sigstksz.h:24,
                 from /usr/include/signal.h:315,
                 from /builddir/build/BUILD/PrusaSlicer-version_2.2.0/tests/catch2/catch.hpp:7712,
                 from /builddir/build/BUILD/PrusaSlicer-version_2.2.0/tests/catch_main.hpp:7,
                 from /builddir/build/BUILD/PrusaSlicer-version_2.2.0/tests/libnest2d/libnest2d_tests_main.cpp:1:
/usr/include/unistd.h:630:17: note: 'long int sysconf(int)' declared here
  630 | extern long int sysconf (int __name) __THROW;
      |                 ^~~~~~~
In file included from /builddir/build/BUILD/PrusaSlicer-version_2.2.0/tests/catch_main.hpp:7,
                 from /builddir/build/BUILD/PrusaSlicer-version_2.2.0/tests/libnest2d/libnest2d_tests_main.cpp:1:
/builddir/build/BUILD/PrusaSlicer-version_2.2.0/tests/catch2/catch.hpp:10512:45: error: size of array 'altStackMem' is not an integral constant-expression
10512 |     char FatalConditionHandler::altStackMem[sigStackSize] = {};
      |                                             ^~~~~~~~~~~~


Upstream should switch to bundling a newer version of Catch2 with this fix:
https://github.com/catchorg/Catch2/commit/8f277a54c0b9c1d1024dedcb2dec1d206971e745

Comment 1 Jakub Jelinek 2021-05-31 11:32:13 UTC
Gentle ping: this bug is blocking an important gcc update in rawhide/f34.

Comment 2 Miro Hrončok 2021-05-31 11:53:30 UTC
Blocking how?

Comment 3 Jakub Jelinek 2021-05-31 11:56:51 UTC
It references symbols that shouldn't be in libstdc++ and can't be removed from there until the last package that references them is rebuilt.

Comment 4 Miro Hrončok 2021-05-31 12:09:03 UTC
This was already fixed in rawhide, so you can proceed there.

I'll test https://src.fedoraproject.org/rpms/prusa-slicer/pull-request/8 and if it does not land, backport the rawhide commit to f34 instead.

What time frame do you need for Fedora 34?

Comment 5 Miro Hrončok 2021-05-31 12:35:00 UTC
BTW Are you really considering removing symbols from libstdc++ in an already released Fedora version? That does not really go well with https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/

Comment 6 Jakub Jelinek 2021-05-31 13:17:03 UTC
Those symbols weren't in any official upstream release, only in GCC 11 snapshots from Nov 3rd 2020 to Mar 12th 2021 and then removed again.
So it is not part of upstream GCC 11 and the symbols aren't used in anything that is compiled with gcc newer than Mar 12th.
There has been a partial mass rebuild of the affected packages (small subset of packages using C++), but unfortunately a few packages didn't rebuild during that due to various reasons and those are blocking the symbol removal.

For timeframe, the sooner the better, we wanted to remove those already 2.5 months ago, but we can't do it until all the problematic packages are rebuilt.  See the blocked rhbz for what remains in rawhide,
we'll need to check afterwards what remains in f34.

Comment 7 Fedora Update System 2021-06-23 22:06:01 UTC
FEDORA-2021-9e000ca4c8 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9e000ca4c8

Comment 8 Fedora Update System 2021-06-24 16:55:27 UTC
FEDORA-2021-9e000ca4c8 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9e000ca4c8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9e000ca4c8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-11-28 18:39:10 UTC
FEDORA-2021-56e7db285f has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-11-28 18:39:47 UTC
FEDORA-2021-cbd7b11d7d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

Comment 11 Fedora Update System 2021-11-28 18:42:24 UTC
FEDORA-2021-a467dd225f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a467dd225f

Comment 12 Fedora Update System 2021-11-29 02:49:30 UTC
FEDORA-2021-cbd7b11d7d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cbd7b11d7d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-11-29 03:37:17 UTC
FEDORA-2021-a467dd225f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a467dd225f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a467dd225f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-12-01 14:02:24 UTC
FEDORA-2021-cbd7b11d7d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

Comment 15 Fedora Update System 2021-12-02 01:29:24 UTC
FEDORA-2021-cbd7b11d7d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cbd7b11d7d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-12-09 06:52:38 UTC
FEDORA-2021-cbd7b11d7d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

Comment 17 Fedora Update System 2021-12-10 01:36:04 UTC
FEDORA-2021-cbd7b11d7d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cbd7b11d7d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2021-12-10 08:16:12 UTC
FEDORA-2021-cbd7b11d7d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

Comment 19 Fedora Update System 2021-12-11 01:15:22 UTC
FEDORA-2021-cbd7b11d7d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cbd7b11d7d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cbd7b11d7d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2021-12-25 01:04:16 UTC
FEDORA-2021-cbd7b11d7d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.